package siprp.update.updates;

import com.evolute.module.updater.AbstractUpdate;
import com.evolute.utils.db.Executer;

public class V10_8_To_V10_9 extends AbstractUpdate
{
	
	public V10_8_To_V10_9()
	{
		super(10.8,10.9,"relatorio de higiene e seguranca: aumentada a capacidade de texto das requesitos(relatorio)");
	}
	
	@Override
	public void doUpdate() throws Exception
	{
		Executer executer = getExecuter();
		com.evolute.utils.sql.Update update = 
			new com.evolute.utils.sql.Update(
					"alter table hs_relatorio_medida alter column description type varchar(8192); " + 
					"alter table hs_relatorio_medida alter column requesitos_legais type varchar(8192);"
		);
		executer.executeQuery( update );
	}
	
}
